//-----------------------------------------------------------------
// P-Variables.h - Created Fred Foscalina
// This is the master P-variables files
//-----------------------------------------------------------------
//
//$Modtime: 1/30/15 2:15p $
//$Revision: 11 $
//$Author: Fredf $ 

#ifndef __P_VARIABLES_H__	// don't allow multiple loads
#define __P_VARIABLES_H__

// ********************************************
// P-Variables Definitions just to keep track
// ********************************************

#define IsInstallingOn				P0

#define AxisSelector				P1
#define AxisDirection				P2

#define ServoFaultSimulator			P3

#define CalibrationLocation			P5
#define CalibrationLocBLTakeup		P6

#define OutputValue					P7
#define OperationCompleted			P8

#define I9Value						P9

#define ehwQuadratureOn				4

#define LubePumpCounter 			P20
#define UseBeaconLight				P21
#define tempCounter					P22
#define LubePressureError			P23
#define CopyIOEnabled				P24

#define SpindleLoadLowBaseline		P30
#define SpindleLoadHighBaseline		P31
#define SpindleLoad100Percent		P32
#define SpindleLoad150Percent		P33
#define SpindleLoad20Percent		P34
#define SpindleLoad22Percent		P35
#define SpindleLoad24Percent		P36
#define SpindleLoad26Percent		P37
#define SpindleLoad28Percent		P38
#define SpindleLoad30Percent		P39
#define SpindleLoad32Percent		P40
#define SpindleLoad34Percent		P41
#define SpindleLoad36Percent		P42
#define SpindleLoad38Percent		P43

#define feedHoldSlewUpdated			P51
#define feedHoldSlewRateTime		P52
#define feedHoldSlewTimerStart		P53
 
#define OKToGo						P100

#define SpindleCountsTemp 			P101
#define SpindleCountsCheck 			P102

#define LookaheadDirection 			P103
#define TrakingWasOn				P104
#define TrakingLatch				P105

#define MachineIsTrainer			P109
#define MasterIsRunning				P110

#define Angle						P111
#define OrientAngle	 				P112
#define CurrentAngle 				P113
#define RetractAngle				P114

#define SpindleSpeedAccum 			P115
#define FeedrateAccum				P116
#define SpindleCurrentAccum			P117
#define CurrentFeedrate				P118
#define Iterations					P119
#define	SpindleInMotion				P120
#define AxesInMotion				P121

#define HandleWhileLoop				P201
#define AxisSelectedLatch 			P202
#define PrevJogSpeed				P203

#define ATCNumPositions 			P300	// used temporarily
#define ATCDirection				P301	// used temporarily
#define tempATCGoTo 				P302
#define waitTime					P303
#define ATCOKToContinue				P304

#define ATCRotationTime				P305
#define ATCHasBrake 				P306

#define OldFeedrate					P307

#define ATCIsBack					P308
#define ATCCompletedOK				P309

#define ATCAbort					P310
#define TestingOnly					P311
#define TestingValue				P312

#define PrevAccelDecelRate			P317



#define SpindlePrevCapturedPosition P500

#define PrevTimeBaseAccel			P684
#define ToolHasBeenChanged			P685

#define RigidTapReset				P901
#define RigidTapDiagnostics			P902

#define RigidTapMaxDepth			P903
#define RigidTapDepthError 			P904
#define RigidTapAdjustment			P905

#define SpindleTestingRevsTest 		P906
#define SpindleTappingRevsTest		P907

#define RigidTapZDepthDeep			P909
#define RigidTapMode				P910

#define RigidTapDevError			P911
#define RigidTapMaxDevError			P912
#define RigidTapMinDevError			P913
#define RigidTapDeltaDeviation		P914

#define CurrentPosition				P1000

#define CSAccelTimeRapid			P1187
#define CSSCurveTimeRapid			P1188
#define CSAccelTimeFeed				P1287
#define CSSCurveTimeFeed			P1288


#define TappingPositionInit			P2000

#define PrevSpindlePos				P2001
#define CurrSpindlePos				P2002
#define PrevZAxisPos				P2003
#define CurrZAxisPos				P2004
#define CalculatedRTZAxisPos		P2005
#define MaxRTDeviation				P2006
#define MaxRTDeviationPos			P2007
#define CurrRTDeviation				P2008

#define JogToXHomeSwitch			P4331
#define JogToYHomeSwitch			P4332
#define JogToZHomeSwitch			P4333

#define HomeXInit					P4410
#define XPosLimit					P4411
#define XNegLimit					P4412
#define HomeYInit					P4420
#define YPosLimit					P4421
#define YNegLimit					P4422
#define HomeZInit					P4430
#define ZPosLimit					P4431
#define ZNegLimit					P4432

#define JogAxisSelected				P4501

#define JogVarDistMod				P4504
#define	JogToFinish					P4505
#define JogWait1					P4506
#define JogWait2					P4507
#define JogWait3					P4508
#define JogWait4					P4509

#define XActualPos					P4511
#define YActualPos					P4521
#define ZActualPos					P4531

#define JogAccelTimeXAxis			P4537
#define JogAccelTimeYAxis			P4538
#define JogAccelTimeZAxis			P4539

#define JogAccelXAxis				P4540
#define JogAccelYAxis				P4541
#define JogAccelZAxis				P4542

#define JogSCurveTimeXAxis			P4543
#define JogSCurveTimeYAxis			P4544
#define JogSCurveTimeZAxis			P4545

#define JogMaxVelocity				P4546

#define WarmUpZMinPosition			P4550

#define ehwInit						P4599

#define ehwJogMode					P4600
#define ehwJogInit					P4601
#define ehwStepAmount				P4602
#define ehwStepSetting				P4603
#define ehwStepLatch				P4604

#define ehwPrevClicks				P4605
#define ehwCurrClicks				P4606
#define ehwClicks					P4607
#define ehwCurrDirection			P4608
#define ehwDirection				P4609

#define ehwMaxAccel					P4610
#define ehwSCurveTime				P4611
#define ehwDirectionChanged			P4612
#define ehwClickTime				P4613

#define ehwCurrPosition				P4614
#define ehwPrevPosition				P4615
#define ehwOverrideInit				P4616

#define ehwJogClicks				P4617
#define HandwheelPLCRunning			P4618

#define SegmentationOverrideSlew	P5116

#define CSDefaultAccelTime			P5187
#define CSDefaultSCurveTime			P5188

#define tempFeedHoldSlew			P5192

#define tempSpindlePercentage		P5193
#define tempTimeBaseSlewRate		P5194
#define tempFeedHoldSlewRate		P5195

#define tempTimeBasePercentage 		P5198

#define prevTimeBasePercentage		P5199
#define prevSpindleOverride			P5200
#define prevOverrideMode			P5201
#define OverrideMaxDisable			P5202

#define MinTimeBaseSlewRate			P5294
#define MinFeedHoldSlewRate			P5295

#define AxisPrevCapturedPositionX	P5410
#define AxisPrevCapturedPositionY	P5411
#define AxisPrevCapturedPositionZ	P5412

// variables defined starting at P6000
// scheme is P6xxn where:
// xx = plc number
// n = actual variable
// e.g. P6021 is second variable for plc 02

#define TimeBaseAcceleration		P6060

#define SpindleCurrentAt100			P6500

#define MotionVariablePosition		P6510
#define MotionCounter				P6511

#define InchMetricMode				P6999

// timers defined starting at P7000
// same scheme as above
// xx = plc number
// n = actual variable
// e.g. P7021 is second timer for plc 02
#define plcTimerTotalMSecs				P7000

#define plcTimerStart00				P7001
#define plcTimerMSecs00				P7002

#define plcTimerStart01				P7011
#define plcTimerMSecs01				P7012

#define plcTimerStart02				P7021
#define plcTimerMSecs02				P7022

#define plcTimerStart03				P7031
#define plcTimerMSecs03				P7032

#define plcTimerStart04				P7041
#define plcTimerMSecs04				P7042

#define plcTimerStart05				P7051
#define plcTimerMSecs05				P7052

#define plcTimerStart06				P7061
#define plcTimerMSecs06				P7062

#define plcTimerStart07				P7071
#define plcTimerMSecs07				P7072

#define plcTimerStart08				P7081
#define plcTimerMSecs08				P7082

#define plcTimerStart09				P7091
#define plcTimerMSecs09				P7092

#define plcTimerStart15				P7151
#define plcTimerMSecs15				P7152

#define plcTimerStart19				P7191
#define plcTimerMSecs19				P7192

#define plcTimerStart20				P7201
#define plcTimerMSecs20				P7202

#define plcTimerStart21				P7211
#define plcTimerMSecs21				P7212

#define plcTimerStart29				P7291
#define plcTimerMSecs29				P7292

#define plcTimerStart30				P7301
#define plcTimerMSecs30				P7302


#define tempTimeBaseScaleFactor		P8009

#define dummyVar					P8191

#endif
